package Figures;
import java.awt.Color;

import drawing.ImageViewer;

public abstract class Figure {
	Figure next = null; 		//  f�r Liste
	Color col = Color.black;
		
	public void setNext(Figure nxt)
	{
		next = nxt;
	}
	
	public void setColor(Color C)
	{
		col = C;
	}

	abstract public void Draw(ImageViewer v);
	abstract public void Move(int dx, int dy);
}
