package NumericalIntegration;

public class SimpsonIntegrator extends Integrator{
	SimpsonIntegrator(int pieces)
	{
		n= pieces;
	}
	
	public double Integrate(Function f, double x0, double x1)
	{
		double sum = 0;
		double width=(x1-x0)/n;
		for (int i = 0; i<n; ++i)
		{
			double x = x0 + i*width;
			double y = f.Evaluate(x)+4*f.Evaluate(x+width/2)+f.Evaluate(x+width);
			sum += y*width/6;
		}
		return sum;
	}
}
