package Figures;

import java.awt.Color;

import drawing.ImageViewer;

public class Dandelilon extends Flower {

	public Dandelilon(Color c, int X, int Y, int size){
		super(c, X, Y , size);
	}
	
	@Override
	public void Draw(ImageViewer v) {
        for (int i=0; i<628; i+=5) {
            double s = Math.sin((double)i/100);
            double c = Math.cos((double)i/100);
        	v.setColor(Color.YELLOW);
            for (int ii=0; ii<size; ++ii) {
                v.dot((int)(x+ii*s), (int)(y+ii*c));
            }
        }
	}

	@Override
	public void Move(int dx, int dy) {
		x += dx;
		y += dy;
	}
	
}
