package Figures;
import java.awt.Color;

import drawing.ImageViewer;

public class Rectangle extends Figure {
	int x, y, w, h;
	
	Rectangle(Color c, int X, int Y, int W, int H)
	{
		setColor(c);
		x = X; y = Y; w = W; h = H;
	}
	
	public void Move(int dx, int dy)
	{
		x+= dx; y+= dy;
	}
	
	public void Draw(ImageViewer v)
	{
		v.setColor(col);
		v.line(x,y,x+w-1,y);
		v.line(x,y,x,y+h-1);
		v.line(x+w-1,y,x+w-1,y+h-1);
		v.line(x,y+h-1,x+w-1,y+h-1);
	}

}
