package Simple;
import java.util.ArrayList;
import java.util.Scanner;
import java.awt.Color;

import drawing.ImageViewer;

public class Main {

	public static void main(String[] args) {
		ArrayList<Circle> circles = new ArrayList<Circle>();
		ArrayList<Rectangle> rectangles = new ArrayList<Rectangle>();
		
		Scanner sc = new Scanner(System.in);
		boolean done = false;
		while (!done)
		{
			String s = sc.next();
			if (s.equals("rect")){
				int x = sc.nextInt();
				int y = sc.nextInt();
				int w = sc.nextInt();
				int h = sc.nextInt();
				Rectangle r = new Rectangle(Color.red, x,y,w,h);
				rectangles.add(r);
				System.out.println("rect added");
			}
			else if (s.equals("circ")){
				int x = sc.nextInt();
				int y = sc.nextInt();
				int r = sc.nextInt();
				Circle c = new Circle(Color.yellow, x,y,r);
				circles.add(c);
				System.out.println("circ added");
			}
			else if (s.equals("draw")){
				ImageViewer v = new ImageViewer(1024,768);
				v.clear(Color.BLACK);
				for (Rectangle r: rectangles){
					r.Draw(v);
				}
				for (Circle c: circles){
					c.Draw(v);
				}
				System.out.println("image drawn");
			}
			else if (s.equals("end"))
				done = true;
			else 
				System.out.println("?");
		}
		sc.close();
	}

}
